SimpleCompleter (Groovy 4.0.15)

Package: org.apache.groovy.groovysh.util

## [Groovy] Class SimpleCompleter

- org.apache.groovy.groovysh.util.SimpleCompleter

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      class SimpleCompleter
      extends Object
      implements jline.console.completer.Completer

  Support for simple completers.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `delimiter` | A delimiter to use to qualify completions.

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `SortedSet<String>` | `candidates`
    `SortedSet<String>` | `candidates`
    `boolean` | `withBlank`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCompleter(String[] candidates)`
    `SimpleCompleter()`
    `SimpleCompleter(Closure loader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(String candidate)`
    `` | `void` | `addCandidateString(String string)`
    `` | `int` | `complete(String buffer, int cursor, List<CharSequence> clist)`
    `` | `SortedSet<String>` | `getCandidates()`
    `` | `Object` | `leftShift(String s)`
    `` | `void` | `setCandidateStrings(String[] strings)`
    `` | `void` | `setCandidates(SortedSet<String> candidates)`
    `` | `void` | `setWithBlank(boolean withBlank)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected String delimiter

      A delimiter to use to qualify completions.

  - ### Property Detail

    - #### SortedSet<String> candidates

    - #### boolean withBlank

  - ### Constructor Detail

    - #### SimpleCompleter(String[] candidates)

    - #### SimpleCompleter()

    - #### SimpleCompleter(Closure loader)

  - ### Method Detail

    - #### void add(String candidate)

    - #### void addCandidateString(String string)

    - #### @Override
      int complete(String buffer, int cursor, List<CharSequence> clist)

    - #### SortedSet<String> getCandidates()

    - #### Object leftShift(String s)

    - #### void setCandidateStrings(String[] strings)

    - #### void setCandidates(SortedSet<String> candidates)

    - #### void setWithBlank(boolean withBlank)